- name: software | misc_software | install workstation distribution packages
  tags: packages,workstation-packages
  package:
    name:
      - acpid
      - alsa-utils
      - arandr
      - cifs-utils
      - "{{ cups_package }}"
      - "{{ cryptsetup_package }}"
      - dconf-editor
      - dialog
      - geany
      - mc
      - gparted
      - "{{ p7zip_package }}"
      - "{{ libnotify_package }}"
      - "{{ network_manager_openvpn_package }}"
      - "{{ network_manager_package }}"
      - "{{ network_manager_pptp_package }}"
      - "{{ network_manager_vpnc_package }}"
      - pavucontrol
      - shotwell
      - sshpass
      - terminator
      - clusterssh
      - unrar
      - "{{ wpa_supplicant_package }}"
      - dia
      - evolution
      - virt-manager
      - libvirt-daemon
      - remmina
      - wine
      - powertop
      - podman
      - opentofu
      - flux2-cli
      - sslscan


- name: software | misc_software | install system packages specific to debian and ubuntu
  tags: packages,system,system-packages,workstation-packages
  package:
    name:
      - synaptic
      - vim-gtk3
  when: ansible_distribution in ["Debian", "Pop!_OS", "Ubuntu"]

- name: software | misc_software | remove unneeded workstation packages on debian and ubuntu hosts
  tags: cleanup,packages,workstation-packages
  package:
    state: absent
    name:
      - libreoffice-base-core
      - libreoffice-calc
      - libreoffice-common
      - libreoffice-core
      - libreoffice-draw
      - libreoffice-gnome
      - libreoffice-gtk3
      - libreoffice-impress
      - libreoffice-math
      - libreoffice-writer
  when: ansible_distribution in ["Debian", "Pop!_OS", "Ubuntu"]

- name: software | misc_software | Install Flatpack packages
  become_user: super_user

  flatpak:
    name:
      - org.keepassxc.KeePassXC
      - org.gnome.meld
      - org.jousse.vincent.Pomodorolm
      - com.github.tchx84.Flatseal
      - dev.k8slens.OpenLens
      - com.redis.RedisInsight
      - com.prusa3d.PrusaSlicer
      - org.fedoraproject.MediaWriter
      - com.github.iwalton3.jellyfin-media-player
      - com.github.xournalpp.xournalpp
      - org.sqlitebrowser.sqlitebrowser
    method : user
    state: present
